Package org.drinkless.tdlib

# Class TdApi.UpdateLanguagePackStrings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateLanguagePackStrings

Enclosing class:
  `TdApi`

public static class TdApi.UpdateLanguagePackStrings extends TdApi.Update
Some language pack strings have been updated.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `languagePackId`
  Identifier of the updated language pack.
  `String`
  `localizationTarget`
  Localization target to which the language pack belongs.
  `TdApi.LanguagePackString[]`
  `strings`
  List of changed language pack strings; empty if all strings have changed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateLanguagePackStrings()`
  Some language pack strings have been updated.
  `UpdateLanguagePackStrings(String localizationTarget, String languagePackId, TdApi.LanguagePackString[] strings)`
  Some language pack strings have been updated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### localizationTarget

    public String localizationTarget
    Localization target to which the language pack belongs.

  - ### languagePackId

    public String languagePackId
    Identifier of the updated language pack.

  - ### strings

    public TdApi.LanguagePackString[] strings
    List of changed language pack strings; empty if all strings have changed.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateLanguagePackStrings

    public UpdateLanguagePackStrings()
    Some language pack strings have been updated.

  - ### UpdateLanguagePackStrings

    public UpdateLanguagePackStrings(String localizationTarget, String languagePackId, TdApi.LanguagePackString[] strings)
    Some language pack strings have been updated.
    Parameters:
      `localizationTarget` - Localization target to which the language pack belongs.
      `languagePackId` - Identifier of the updated language pack.
      `strings` - List of changed language pack strings; empty if all strings have changed.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR